/*
 * This file is part of JPuzzle.
 *
 * JPuzzle is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * JPuzzle is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JPuzzle.  If not, see <http://www.gnu.org/licenses/>.
 *
 * JPuzzle Copyright © 2008 HackmanGT
 * HackmanGT@hotmail.com
 */

package JPuzzle.Event;

/**
 * Listener (vista) obteniendo un cambio en la mesa.
 * Cuando selecciona Desordenar o Resolver.
 * @author HackmanGT
 */
public interface MesaActionListener extends java.util.EventListener {

    /**
     * Evento llamado cuando se genera un cambio en la mesa.
     * @param evt el evento
     */
    public void actionEvent(MesaActionEvent evt);

}
